Bug 98586 - bzip2 example error
bzip2 example error
Product: Red Hat Linux
Classification: Retired
Component: rhl-gsg (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: John Ha
John Ha
Depends On:
  Show dependency treegraph
Reported: 2003-07-04 00:04 EDT by Xiao, Haili
Modified: 2014-08-04 18:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-07 15:51:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Xiao, Haili 2003-07-04 00:04:26 EDT
Description of problem:

in the guide: Red Hat Linux 9 "Red Hat Linux Getting Started Guide"
(URL: http://www.redhat.com/docs/manuals/linux/RHL-9-Manual/getting-started-
when talking about bzip2, there is a command example:

/************ Ctrl+V from about URL *********

You can use bzip2 to compress multiple files and directories at the same time 
by listing them with a space between each one:

bzip2 filename.bz2 file1 file2 file3 /usr/work/school 

The above command compresses file1, file2, file3, and the contents of the 
/usr/work/school directory (assuming this directory exists) and places them 
in a file named filename.bz2. 

************* end **************************/

In fact, this command is a bad one, it does not work at all.
As a "man bzip2" said:
bzip2 expects a list of file names to accompany the command-line flags.
Each  file is replaced by a compressed version of itself, with the name

Version-Release number of selected component (if applicable):

Other format&version of this guide might have the same error.

Additional info:
Comment 1 John Ha 2003-07-07 15:51:59 EDT
Thank you for the report. You are correct, the command does not work. For
compressing multiple files, tar should be used prior to using bzip2.

The passage will be corrected and an errata will be posted shortly.

Thanks again.

Note You need to log in before you can comment on or make changes to this bug.